> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewergethierarchypermissions



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/getHierarchyPermissions
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/getHierarchyPermissions:
    post:
      tags:
        - Viewer
      operationId: Viewer_GetHierarchyPermissions
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetHierarchyPermissionsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHierarchyPermissionsResult'
components:
  schemas:
    GetHierarchyPermissionsRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            IncludeProhibited:
              type: boolean
            Identities:
              type: array
              nullable: true
              items:
                type: string
    GetHierarchyPermissionsResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            HierarchyPermissions:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/HierarchyItemPermissions'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    HierarchyItemPermissions:
      type: object
      additionalProperties: false
      properties:
        Permissions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PermissionAssignment'
        HierarchyItemId:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        ParentItemIds:
          type: array
          nullable: true
          items:
            type: string
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    PermissionAssignment:
      type: object
      additionalProperties: false
      properties:
        Allow:
          type: boolean
        Explicit:
          type: boolean
        Permission:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Permission2'
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    Permission2:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````